export default function customElementWrapper() {
    const origFn = customElements.define.bind(customElements);
    customElements.define = function (name, Constructor, options) {
        class WdioWrapperElement extends Constructor {
            connectedCallback() {
                super.connectedCallback && super.connectedCallback();
                let parentNode = this;
                while (parentNode.parentNode) {
                    parentNode = parentNode.parentNode;
                }
                console.debug('[WDIO]', 'newShadowRoot', this, parentNode);
            }
            disconnectedCallback() {
                super.disconnectedCallback && super.disconnectedCallback();
                console.debug('[WDIO]', 'removeShadowRoot', this);
            }
        }
        return origFn(name, WdioWrapperElement, options);
    };
}
